Download it now!
Bug 117764 - using context menu item "Conditional formatting" opens dialogue "Conditional formatting for ..." with wrong cell range
Summary: using context menu item "Conditional formatting" opens dialogue "Conditional ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectNotNeeded, regression
Depends on:
Blocks: Conditional-Formatting
  Show dependency treegraph
 
Reported: 2018-05-23 15:56 UTC by Roman Kuznetsov
Modified: 2019-05-31 02:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2018-05-23 15:56:48 UTC
Description:
using context menu item "Conditional formatting" opens dialogue "Conditional formatting for ..." with wrong cell range.
After implement bug 87357 :
Example: there is existing conditional formatting for range A1:A20. Select any cell from this range, right click and select item "Conditional formatting". It opens dialogue "Conditional formatting for <your selects cell>" where cell range is ONLY <your selects cell> instead existing range A1:A20.
User just can change options for his conditional formatting, but he will change it only for ONE cell instead full existing range.

Steps to Reproduce:
1. Create (or open existing) conditional formatting for cell range
2. Open dialogue "Conditional formatting for ..." using cell's context menu from range
3. Look at cell range in to dialogue -> it has only ONE cell instead range

Actual Results:  
in dialogue "Conditional formatting for ..." has wrong cell range if there was existing range

Expected Results:
in dialogue "Conditional formatting for ..." has right full cell range if there was existing range


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/66.0.3359.181 Safari/537.36
Comment 1 Mike Kaganski 2018-05-23 18:43:59 UTC
Actually, the new feature works absolutely inconsistently:

1. The context menu is only available in areas with conditional formatting (that is how it is advertised).

2. When selected, the context menu item brings a dialog with warning:
> The selected cell already contains conditional formatting. You can either edit the
> existing conditional format or you define a new overlapping conditional format.
>
> Do you want to edit the existing conditional format?

This is the same warning that is shown using Format->Conditional->... menu (other than "Manage..."). And this dialog suggests *three* things:
a) that since this dialog is shown, it's just one of possibilities that this function had been called on this cell - and if it were called in a "clean" cell, then there were no such warning, so supposedly the function should be *available* on "clean" cells - *which is not the case*;
b) that answering "No", one would not edit the existing format, *but will edit a new format instead*;
c) that answering "Yes", one would edit the existing format.

3. In reality, answering "No" just cancels the function, contrary to expectation b).

4. In reality, answering "Yes" opens a *new clean* conditional format for just this cell, with no conditions defined.

This works this way for both context menu, and for usual Format->Conditional->... menu, which is different from how 6.0 and older versions used to work, so this is clear regression.
Comment 2 Gülşah Köse 2018-05-25 12:33:17 UTC
A correction: This behaviour is not a special case for Conditional formatting item in the "context menu". You can test with Format->Conditional->Condition...
Comment 3 Mike Kaganski 2018-05-25 12:53:19 UTC
(In reply to Gülşah Köse from comment #2)
> A correction: This behaviour is not a special case for Conditional
> formatting item in the "context menu". You can test with
> Format->Conditional->Condition...

... which is why I wrote "This works this way for both context menu, and for usual Format->Conditional->... menu, ...", and also marked it a regression ;-)
Comment 4 Gülşah Köse 2018-05-25 13:32:19 UTC
Yes, I'm just focused on the first comment. Sorry. :)
Comment 5 Buovjaga 2018-05-30 13:01:54 UTC
bibisectRequest not needed since we know it came from implementing bug 87357
Comment 6 QA Administrators 2019-05-31 02:49:54 UTC
Dear kompilainenn,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug